> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voicecalls



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/calls
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/calls:
    get:
      tags:
        - Calls
      operationId: calls.index
      parameters:
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: voice_campaign_id
          in: query
          schema:
            type: integer
        - name: voice_campaign_send_id
          in: query
          schema:
            type: integer
        - name: agent_id
          in: query
          schema:
            type: string
            format: uuid
        - name: date_from
          in: query
          schema:
            type: string
        - name: date_to
          in: query
          schema:
            type: string
        - name: tag
          in: query
          schema:
            type: string
        - name: ids
          in: query
          schema:
            type: array
            items:
              type: string
        - name: source
          in: query
          schema:
            type: string
            enum:
              - campaign
              - inbound
              - test
              - scheduled
              - retry
        - name: with
          in: query
          schema:
            type: array
            enum:
              - callOutcomeClassifierLogs
            items:
              type: string
        - name: ai_filter_query
          in: query
          schema:
            type: string
            maxLength: 1000
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: numbers
          in: query
          schema:
            type: array
            items:
              type: number
      responses:
        '200':
          description: Array of `CallResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CallResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CallResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type:
            - string
            - 'null'
        contact_id:
          type:
            - string
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_processed:
          type: boolean
        number_id:
          type:
            - string
            - 'null'
        to_number:
          type: integer
        call_agent_id:
          type:
            - string
            - 'null'
          description: >-
            too slow

            'country_id' =>
            NumberService::getCountryIdByNumber($this->to_number),

            'contact' => $this->_contact_info,
        events_count:
          type: string
        tool_logs_count:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at_formatted:
          type: string
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        agent_id:
          type:
            - string
            - 'null'
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        voice_campaign_id:
          type:
            - string
            - 'null'
        voice_campaign_send_id:
          type:
            - string
            - 'null'
        is_answer_machine:
          type: boolean
        is_answered:
          type: boolean
        is_lead:
          type: boolean
        is_sale:
          type: boolean
        is_picked_up:
          type: boolean
        chat:
          type: string
        status:
          type: string
        call_outcome:
          type:
            - string
            - 'null'
        call_source:
          type:
            - string
            - 'null'
        scheduled_at:
          type:
            - string
            - 'null'
        lead_submitted_at:
          type:
            - string
            - 'null'
        country_id:
          type:
            - integer
            - 'null'
        created_at_tz:
          type: string
        date_key:
          type: string
        timezone:
          type: string
        vapi_ended_reason:
          type:
            - string
            - 'null'
        call_outcome_logs:
          type: array
          items:
            $ref: '#/components/schemas/CallOutcomeClassifierLogResource'
      required:
        - id
        - team_id
        - contact_id
        - meta
        - is_processed
        - number_id
        - to_number
        - call_agent_id
        - events_count
        - tool_logs_count
        - created_at
        - created_at_formatted
        - updated_at
        - agent_id
        - deleted_at
        - voice_campaign_id
        - voice_campaign_send_id
        - is_answer_machine
        - is_answered
        - is_lead
        - is_sale
        - is_picked_up
        - chat
        - status
        - call_outcome
        - call_source
        - scheduled_at
        - lead_submitted_at
        - country_id
        - created_at_tz
        - date_key
        - timezone
        - vapi_ended_reason
      title: CallResource
    CallOutcomeClassifierLogResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        call_id:
          type: string
        call_outcome_classifier_id:
          type: string
        call_outcome_classifier_run_id:
          type:
            - string
            - 'null'
        initial_call_outcome:
          type:
            - string
            - 'null'
        new_call_outcome:
          type:
            - string
            - 'null'
        status:
          type: string
        failure_reason:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - team_id
        - call_id
        - call_outcome_classifier_id
        - call_outcome_classifier_run_id
        - initial_call_outcome
        - new_call_outcome
        - status
        - failure_reason
        - created_at
      title: CallOutcomeClassifierLogResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````